> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update infrastructure configuration variables



## OpenAPI

````yaml put /api/migration/infrastructure-config
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/migration/infrastructure-config:
    put:
      tags:
        - Infrastructure configuration
      summary: Update infrastructure configuration variables
      operationId: update_config_api_migration_infrastructure_config_put
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InfrastructureConfigRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InfrastructureConfigResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    InfrastructureConfigRequest:
      properties:
        cluster_ssh_conn_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Cluster Ssh Conn Id
        cluster_edge_temp_path:
          anyOf:
            - type: string
            - type: 'null'
          title: Cluster Edge Temp Path
        migration_spark_conn_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Migration Spark Conn Id
        migration_smtp_conn_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Migration Smtp Conn Id
        s3_source_endpoint:
          anyOf:
            - type: string
            - type: 'null'
          title: S3 Source Endpoint
        s3_source_access_key:
          anyOf:
            - type: string
            - type: 'null'
          title: S3 Source Access Key
        s3_source_secret_key:
          anyOf:
            - type: string
            - type: 'null'
          title: S3 Source Secret Key
        s3_dest_endpoint:
          anyOf:
            - type: string
            - type: 'null'
          title: S3 Dest Endpoint
        s3_dest_access_key:
          anyOf:
            - type: string
            - type: 'null'
          title: S3 Dest Access Key
        s3_dest_secret_key:
          anyOf:
            - type: string
            - type: 'null'
          title: S3 Dest Secret Key
        default_s3_bucket:
          anyOf:
            - type: string
            - type: 'null'
          title: Default S3 Bucket
        tracking_database:
          anyOf:
            - type: string
            - type: 'null'
          title: Tracking Database
        tracking_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Tracking Location
        report_output_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Report Output Location
        email_recipients:
          anyOf:
            - type: string
            - type: 'null'
          title: Email Recipients
        distcp_mappers:
          anyOf:
            - type: integer
            - type: 'null'
          title: Distcp Mappers
        distcp_bandwidth:
          anyOf:
            - type: integer
            - type: 'null'
          title: Distcp Bandwidth
        mapr_user:
          anyOf:
            - type: string
            - type: 'null'
          title: Mapr User
        mapr_ticketfile_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Mapr Ticketfile Location
        kinit_principal:
          anyOf:
            - type: string
            - type: 'null'
          title: Kinit Principal
        kinit_keytab:
          anyOf:
            - type: string
            - type: 'null'
          title: Kinit Keytab
      type: object
      title: InfrastructureConfigRequest
      description: Partial-update request for Airflow infrastructure variables.
    InfrastructureConfigResponse:
      properties:
        cluster_ssh_conn_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Cluster Ssh Conn Id
        cluster_edge_temp_path:
          anyOf:
            - type: string
            - type: 'null'
          title: Cluster Edge Temp Path
        migration_spark_conn_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Migration Spark Conn Id
        migration_smtp_conn_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Migration Smtp Conn Id
        s3_source_endpoint:
          anyOf:
            - type: string
            - type: 'null'
          title: S3 Source Endpoint
        s3_source_access_key:
          anyOf:
            - type: string
            - type: 'null'
          title: S3 Source Access Key
        s3_dest_endpoint:
          anyOf:
            - type: string
            - type: 'null'
          title: S3 Dest Endpoint
        s3_dest_access_key:
          anyOf:
            - type: string
            - type: 'null'
          title: S3 Dest Access Key
        default_s3_bucket:
          anyOf:
            - type: string
            - type: 'null'
          title: Default S3 Bucket
        tracking_database:
          anyOf:
            - type: string
            - type: 'null'
          title: Tracking Database
        tracking_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Tracking Location
        report_output_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Report Output Location
        email_recipients:
          anyOf:
            - type: string
            - type: 'null'
          title: Email Recipients
        distcp_mappers:
          anyOf:
            - type: integer
            - type: 'null'
          title: Distcp Mappers
        distcp_bandwidth:
          anyOf:
            - type: integer
            - type: 'null'
          title: Distcp Bandwidth
        mapr_user:
          anyOf:
            - type: string
            - type: 'null'
          title: Mapr User
        mapr_ticketfile_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Mapr Ticketfile Location
        kinit_principal:
          anyOf:
            - type: string
            - type: 'null'
          title: Kinit Principal
        kinit_keytab:
          anyOf:
            - type: string
            - type: 'null'
          title: Kinit Keytab
      type: object
      title: InfrastructureConfigResponse
      description: >-
        Infrastructure configuration response. Write-only fields are always
        None.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````